Bug 120632 - airo_cs module / driver appears broken in Fedora Core 2 Test 2 (FC2T2)
airo_cs module / driver appears broken in Fedora Core 2 Test 2 (FC2T2)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-12 10:24 EDT by Wylie Edwards
Modified: 2015-01-04 17:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:49:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wylie Edwards 2004-04-12 10:24:09 EDT
Description of problem:

The airo_cs drivers for Cisco aironet pcmcia cards appears to be
broken in FC2.  Have not tested between test 1 and 2 (only have test
2).  The module loads but is not recognized by the kernel.  I have
just noted that nothing at all happens when the card is plugged or
unplugged, yet on a stock FC1 install the airo_cs modules work perfectly.

Version-Release number of selected component (if applicable):


How reproducible:

Always with FC2T2

Steps to Reproduce:
1.  Install Fedora Core 2 Test 2
2.  Attempt to load airo_cs module and initialise / configure card
3.  Card is not recognised at all, yet driver appears to load properly.
  
Additional info:

I am using a Cisco aironet 350 series pcmcia card.

The following is a copy of lsmod post driver load;

Module                  Size  Used by
airo_cs                 5252  0
airo                   57496  1 airo_cs
rfcomm                 35100  0
l2cap                  22020  3 rfcomm
bluetooth              46564  2 rfcomm,l2cap
snd_mixer_oss          13952  1
snd_intel8x0           29736  2
snd_ac97_codec         53384  1 snd_intel8x0
snd_pcm                84232  1 snd_intel8x0
snd_timer              25220  1 snd_pcm
gameport                3968  1 snd_intel8x0
snd_page_alloc          8580  2 snd_intel8x0,snd_pcm
snd_mpu401_uart         7296  1 snd_intel8x0
snd_rawmidi            21408  1 snd_mpu401_uart
snd_seq_device          6280  1 snd_rawmidi
snd                    43748  10
snd_mixer_oss,snd_intel8x0,snd_ac97_codec,snd_pcm,snd_timer,snd_mpu401_uart,snd_rawmidi,snd_seq_device
soundcore               7520  2 snd
parport_pc             20416  1
lp                      9068  0
parport                36168  2 parport_pc,lp
autofs4                16896  0
ds                     10244  1 airo_cs
yenta_socket           12544  1
pcmcia_core            52452  3 airo_cs,ds,yenta_socket
sunrpc                128200  1
e100                   33540  0
mii                     3712  1 e100
ide_cd                 32260  0
cdrom                  29468  1 ide_cd
floppy                 53808  0
sg                     28064  0
scsi_mod              101564  1 sg
microcode               5408  0
hid                    49940  0
ohci_hcd               18076  0
ehci_hcd               23176  0
usbcore                91956  5 hid,ohci_hcd,ehci_hcd
button                  4632  0
battery                 7052  0
asus_acpi               8600  0
ac                      3596  0
radeon                 97452  2
ipv6                  210432  8
ext3                   94888  1
jbd                    65432  1 ext3
Comment 1 Harald Hoyer 2004-04-13 07:59:19 EDT
kernel issue
Comment 2 EMR_Fedora 2004-06-27 18:37:00 EDT
Same thing happens to me. While orinoco_cs drivers are okay.
Comment 3 Dave Jones 2005-04-16 00:49:51 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.